Summary
Get All Analytic Templates
Description
Get all Analytic Templates.
Route
GET /mop/listAnalyticTemplates
Roles
admin
engineering
support
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| This method has no parameters |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| listAnalyticTemplates |
object |
All Analytic Templates. |
Copied to Clipboard
[
{
"name": "ASR1K-MOP",
"_id": "ASR1K-MOP",
"namespace": {
"type": "project",
"_id": "5cb5252a1bbc5a00def564c1",
"name": "aliquip velit exercitation laborum Ut",
"accessControl": {
"read": [
"non",
"magna sunt ad",
"ea"
],
"execute": [
"incididunt"
],
"write": [
"in laboris ex tempor dolor",
"qui proident esse non nulla",
"nostrud cillum est cupidatat sint",
"ut et proident magna dolore",
"reprehenderit in"
],
"manage": [
"dolor nostrud commodo ea in",
"qui cupidatat eu",
"non incididunt veniam dolore",
"sunt minim amet voluptate sed"
]
}
},
"os": "cisco-ios",
"passRule": true,
"prepostCommands": [
{
"preRawCommand": "show running-config ip prefix-list",
"postRawCommand": "show running-config ip prefix-list",
"passRule": false,
"rules": [
{
"type": "regex",
"preRegex": "",
"postRegex": "",
"evaluation": "="
},
{
"type": "regex",
"preRegex": "",
"postRegex": "",
"evaluation": "="
},
{
"type": "regex",
"preRegex": "",
"postRegex": "",
"evaluation": "="
}
],
"preCommandResHTML": "Test a command or the template to get results here",
"postCommandResHTML": "Test a command or the template to get results here"
},
{
"preRawCommand": "show running-config ip prefix-list",
"postRawCommand": "show running-config ip prefix-list",
"passRule": false,
"rules": [
{
"type": "regex",
"preRegex": "",
"postRegex": "",
"evaluation": "="
},
{
"type": "regex",
"preRegex": "",
"postRegex": "",
"evaluation": "="
},
{
"type": "regex",
"preRegex": "",
"postRegex": "",
"evaluation": "="
}
],
"preCommandResHTML": "Test a command or the template to get results here",
"postCommandResHTML": "Test a command or the template to get results here"
},
{
"preRawCommand": "show running-config ip prefix-list",
"postRawCommand": "show running-config ip prefix-list",
"passRule": false,
"rules": [
{
"type": "regex",
"preRegex": "",
"postRegex": "",
"evaluation": "="
}
],
"preCommandResHTML": "Test a command or the template to get results here",
"postCommandResHTML": "Test a command or the template to get results here"
}
],
"created": 1508182880981,
"createdBy": null,
"lastUpdated": 1508182880981,
"lastUpdatedBy": "exampleUser"
}
]
Copied to Clipboard
{
"title": "listAnalyticTemplates",
"type": "array",
"items": {
"$ref": "mopAnalyticTemplateDoc"
}
}